.TH [%s PRG_NAME] [%d MANUAL_NUMBER] "[%s DATE_OF_LAST_MOD]" "Version [%s VERSION_NUMBER]" "[%s MANUAL_SECTION_STR]"
.SH NAME
[%s prg_name] \- talk with a web server
.SH SYNOPSIS
.B [%s prg_name]
.RB [ -hvV ]
.RB [ -p
.IR port ]
.RI [ host ]
.SH DESCRIPTION
.I [%s Prg_name]
connects to the http demon running on
.IR host ,
sends the query read from stdin (quitted by two new-lines or end-of-file)
and writes the answer to
[%s STD_CHANNEL_STR].
By default,
.I [%s prg_name]
connects to host
.IR [%s DEFAULT_HOST]
at port
.IR [%d DEFAULT_PORT] .

.SH OPTIONS
.TP
.B -h
display some helpful information on
.I [%s HELP_CHANNEL_STR]
and exit successfully
.TP
.B -H
hexdump output
.TP
.B -v
raise verbosity level for
.I
[%s VERBOSE_CHANNEL_STR]
by one
.TP
.B -V
display version and compilation info on
.I [%s VERSION_CHANNEL_STR]
and exit successfully
.TP
.BI "\-p " port
connect to port
.I port
instead of port 
.I [%d DEFAULT_PORT]

.SH RETURN VALUE
On success, [%d RETVAL_OK] is returned. On error, a value >0 is returned.

.SH ERRORS
.TP
.B [%d RETVAL_MALLOC]
not enough memory available
.TP
.B [%d RETVAL_BUG]
a program bug has seen the light
.TP
.B [%d RETVAL_QUERY]
senseless input
.TP
.B [%d RETVAL_ERROR]
the error is different from those explained above

.SH REQUEST METHODS
The commands that can be used as
.IR [%s prg_name] 's 
input should begin with a so called HTTP/1.0
.I request method
defined in
.IR "RFC 1945" .
Here's a short listing:
.TP
.B GET
retrieve whatever information is identified by the request URI
(usually header and body)
.TP
.B HEAD
retrieve metainformation about the resource identified by the request URI
(header only, definitely no body)
.TP
.B POST
make the entity enclosed a new subordinate of the resource identified by
the request URI
.TP
.B PUT
store the enclosed entity under the supplied request URI
.TP
.B DELETE
delete the resource identified by the request URI
.TP
.B LINK
establish a link relationship between the existing resource identified by
the request URI and other existing resources
.TP
.B UNLINK
remove one or more link relationships from the existing resource identified
by the request URI

.SH EXAMPLES
Retrieve a listing of the http-root directory at localhost port 80:
.TP
.RB "echo GET / HTTP/1.0 |" " [%s prg_name]"
.TP
Save /index.html to disk and be entertained:
.TP
.RB "echo GET / |" " [%s prg_name] -vv" " www.absinth.net > index.html"
.TP
View the corresponding header (check the file size):
.TP
.RB "echo HEAD /index.html HTTP/1.0 |" " [%s prg_name]" " www.absinth.net"

.SH AUTHOR
[%s MY_EMAIL_ADDRESS]

.SH SEE ALSO
.BR httpdtype (1),
.BR httpdget (1)
